package com.ruoyi.system.service.remind;

import com.ruoyi.system.domain.remind.WaitRemind;

import java.util.List;


/**
 * 待办提醒Service接口
 * 
 * @author boman
 * @date 2024-04-29
 */
public interface IWaitRemindService 
{
    /**
     * 查询待办提醒
     * 
     * @param remindId 待办提醒主键
     * @return 待办提醒
     */
    public WaitRemind selectWaitRemindByRemindId(Integer remindId);

    /**
     * 查询待办提醒列表
     * 
     * @param waitRemind 待办提醒
     * @return 待办提醒集合
     */
    public List<WaitRemind> selectWaitRemindList(WaitRemind waitRemind);

    /**
     * 新增待办提醒
     * 
     * @param waitRemind 待办提醒
     * @return 结果
     */
    public int insertWaitRemind(WaitRemind waitRemind);

    /**
     * 修改待办提醒
     * 
     * @param waitRemind 待办提醒
     * @return 结果
     */
    public int updateWaitRemind(WaitRemind waitRemind);

    /**
     * 批量删除待办提醒
     * 
     * @param remindIds 需要删除的待办提醒主键集合
     * @return 结果
     */
    public int deleteWaitRemindByRemindIds(Integer[] remindIds);

    /**
     * 删除待办提醒信息
     * 
     * @param remindId 待办提醒主键
     * @return 结果
     */
    public int deleteWaitRemindByRemindId(Integer remindId);
}
